Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1749566 - Unable to install "GStreamer Multimedia Codecs...", GLib g_variant_new_string: assertion 'string != NULL' failed
Summary: Unable to install "GStreamer Multimedia Codecs...", GLib g_variant_new_string...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 21:33 UTC by Chris Murphy
Modified: 2019-10-02 01:59 UTC (History)
3 users (show)

Fixed In Version: gnome-software-3.34.0-2.fc31 gnome-software-3.32.4-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-28 00:02:48 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
gnome-software --verbose (deleted)
2019-09-05 21:33 UTC, Chris Murphy
no flags Details
screenshot of error in g-s (deleted)
2019-09-05 21:34 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2019-09-05 21:33:09 UTC
Description of problem:

Unable to install "GStreamer Multimedia Codecs..." [Invalid UTF-8]


Version-Release number of selected component (if applicable):
gnome-software-3.32.4-1.fc30.x86_64


How reproducible:
Always

Steps to Reproduce:
1. try to install the recommended plugin
2.
3.

Actual results:

Fails with error

Expected results:

Should install

Additional info:

In Fedora 31, gnome-software-3.32.4-2.fc31.x86_64, when totem asks if I want to go find the plug in Software, I click to go find it, and gnome-software launches, but I don't even get to the plug in screen, I'm dropped at the All screen. So the referral/search didn't work.

Comment 1 Chris Murphy 2019-09-05 21:33:47 UTC
Created attachment 1612084 [details]
gnome-software --verbose

Comment 2 Chris Murphy 2019-09-05 21:34:34 UTC
Created attachment 1612085 [details]
screenshot of error in g-s

Comment 3 Chris Murphy 2019-09-16 16:37:23 UTC
I'm not running into this anymore as of gstreamer1-plugin-openh264-1.15.1-1, both on F30 and F31.

Comment 4 Kalev Lember 2019-09-24 09:02:37 UTC
I'm debugging this and it's clearly still broken. Reopening.

Comment 5 Kalev Lember 2019-09-24 09:05:03 UTC
https://gitlab.gnome.org/GNOME/gnome-software/merge_requests/315 should fix this

Comment 6 Chris Murphy 2019-09-24 17:30:20 UTC
Cool, thanks Kalev.

Comment 7 Fedora Update System 2019-09-25 08:52:16 UTC
FEDORA-2019-48c225e982 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-48c225e982

Comment 8 Fedora Update System 2019-09-26 02:48:18 UTC
gnome-software-3.32.4-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-48c225e982

Comment 9 Fedora Update System 2019-09-26 02:55:47 UTC
gnome-software-3.34.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5016a9b501

Comment 10 Fedora Update System 2019-09-28 00:02:48 UTC
gnome-software-3.34.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-02 01:59:55 UTC
gnome-software-3.32.4-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.